@import 'mixin';
@import 'reset';
@import 'variable';


.posts {
    &__container {
        margin: 69px 0;
    }
    &__title {
        text-align: left;
        @include font-700;
        color: $color1;
        @include font-size-16;
        padding-bottom: 24px;
    }
    &__wrap {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 30px 55px;
        
    }
    &__img{
        object-fit: cover;
    }
    &__items {
        @include flex-row;
        gap: 21px;
    }
    &__desc p:first-child {
        @include font-700;
        color: $color1;
        line-height: 30px;
        font-size: 16px;
    }
    &__desc p:nth-child(2) {
        @include font-400;
        color: $color3;
        font-size: 12px;
        line-height: 20px;
        padding-bottom: 13px;
    }
    &__desc p:last-child {
        @include font-400;
        color: $color2;
        font-size: 14px;
        line-height: 26px;
    }
    @media (width < $width-laptop){
        &__wrap {
            grid-template-columns: 1fr;
        }
    }
    @media (width < $width-tablet){
        &__items {
            @include flex-column;
        }
        &__items img{
            width: 160px;    
            height: 140px;
        }
        &__text {
            display: none;
        }
    }
}

.insta {
    background-color: #f7f7f7;
    &__title-wrap {
        @include flex-row;
        justify-content: space-between;
        padding: 47px 0 24px 0;
    }
    &__title {
        @include font-700;
        color: $color1;
        @include font-size-16;
    }
    &__subtitle{
        @include font-700;
        color: $color1;
        @include font-size-11
    }
    &__photo-wrap {
        @include flex-row;
        justify-content: flex-start;
        
        gap: 10px;
        padding-bottom: 46px;
    }
    &__img {
        width: 100%;
    }
    &__img img {
        display: block;
        width: 100%; 
        height: auto;  
    }
    // @media (width < 1250px) {
    //     &__img:last-child {
    //         display: none;
    //     }
    // }
    @media (width < $width-laptop) {
        &__photo-wrap {
            justify-content: center;
        }
        &__img {
            width: 80%;
        }
        &__img:nth-child(3) {
            display: none;
            width: 2rem;
        }
    }
    @media (width < $width-tablet) {
        &__photo-wrap {
            justify-content: center;
        }
        &__img {
            width: 301px;
            height: 301px;
        }
        &__img:nth-child(2),
        &__img:nth-child(3),
        &__img:last-child {
            display: none;
        }
        &__subtitle {
            display: none;
        }
    }
}



